GRUB-MKRESCUE(1)

BEZEICHNUNG
grub-mkrescue - ein GRUB-Wiederherstellungsabbild erstellen

ÜBERSICHT
grub-mkrescue [OPTION …] [OPTION] QUELLE …

BESCHREIBUNG
Erzeugt ein startfähiges GRUB-Abbild für CD-ROM, Festplatte, Stick oder Diskette.

--appended-signature-size=GRÖSSE
    fügt einen Notizbereich hinzu, der die angegebene GRÖSSE an Bytes für die angehängte Signatur reserviert.

--compress=no|xz|gz|lzo
    komprimiert GRUB-Dateien (optional).

--disable-cli
    deaktiviert den Befehlzeilenschnittstellenzugriff.

--disable-shim-lock
    deaktiviert die shim_lock-Überprüfung.

--dtb=DATEI
    bettet eine spezifische DTB ein.

-d, --directory=VERZEICHNIS
    verwendet Abbilder und Module im angegebenen VERZEICHNIS (Vorgabe ist /usr/lib/grub/<Plattform>).

--fonts=SCHRIFTEN
    installiert die angegebenen SCHRIFTEN (Vorgabe=unicode).

--install-modules=MODULE
    installiert nur die angegebenen MODULE und deren Abhängigkeiten (Vorgabe=alle).

-k, --pubkey=DATEI
    bettet die angegebene DATEI als öffentlichen Schlüssel für die Überprüfung der Signatur ein.

--locale-directory=VERZEICHNIS verwendet die Übersetzungen im angegebenen Verzeichnis.
    [Vorgabe=/usr/share/locale]

--locales=LOCALES
    installiert nur die angegebenen LOCALES (Vorgabe=alle).

--modules=MODULE
    lädt die angegebenen MODULE vor.

--sbat=DATEI
    SBAT-Metadaten

--themes=THEMEN
    installiert die angegebenen THEMEN (Vorgabe=starfield).

-v, --verbose
    gibt ausführliche Meldungen aus.

-x, --x509key=DATEI
    bettet die angegebene DATEI als x509-Zertifikat für die Überprüfung der angehängten Signatur ein.

--arcs-boot
    aktiviert ARCS-Bootvorgänge (MIPS-Maschinen mit Big-Endian-Bitreihenfolge, meist SGI). Deaktiviert HFS+, APM, sparc64 und boot als Plattenabbild für i386-pc.

--core-compress=xz|none|auto
    wählt die für das Speicherkern-Abbild zu verwendende Kompression.

--label-bgcolor=FARBE
    verwendet die angegebene FARBE für den Hintergrund des Bezeichners.

--label-color=FARBE
    verwendet die angegebene FARBE für den Bezeichner.

--label-font=DATEI
    verwendet die angegebene DATEI als Schrift für den Bezeichner.

-o, --output=DATEI
    speichert die Ausgabe in der angegebenen DATEI (muss angegeben werden).

--product-name=ZEICHENKETTE
    verwendet die angegebene ZEICHENKETTE als Produktname.

--product-version=ZEICHENKETTE
    verwendet die angegebene ZEICHENKETTE als Produktversion.

--rom-directory=VERZEICHNIS
    speichert ROM-Abbilder im angegebenen VERZEICHNIS (optional).

--sparc-boot
    aktiviert Sparc-Bootvorgänge. Deaktiviert HFS+, APM, ARCS und boot als Plattenabbild für i386-pc.

--xorriso=DATEI
    verwendet die angegebene DATEI als Xorriso (optional).

-?, --help
    gibt eine kurze Hilfe aus.

--usage
    gibt eine kurze Meldung zur Verwendung aus.

-V, --version
    gibt die Programmversion aus.

Erforderliche oder optionale Argumente für lange Optionen sind ebenso erforderlich bzw. optional für die entsprechenden Kurzoptionen.

erzeugt ein bootfähiges CD-/USB-/Diskettenabbild. Argumente für dieses Programm, die keine Optionen sind, werden an Xorriso übergeben und bezeichnen Quelldateien, Quellverzeichnisse oder andere der Mkisofs-Optionen, die in der Ausgabe von »xorriso -as mkisofs -help« angezeigt werden.

Die Option -- wechselt in den nativen Xorriso-Befehlsmodus.

Senden Sie Supportanfragen zu Xorriso (auf Englisch) an <bug-xorriso@gnu.org>.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-grub@gnu.org.

SIEHE AUCH
grub-mkimage(1)

Die vollständige Dokumentation für grub-mkrescue wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und grub-mkrescue auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info grub-mkrescue

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).